package com.yunzhi.marketing.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 业务序列表 
 * </p>
 *
 * @author yansen
 * @since 2020-06-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSequence implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序列名
     */
    @TableId(value = "seq_name", type = IdType.INPUT)
    private String seqName;

    /**
     * 当前值
     */
    private Integer val;


}
