package com.yunzhi.marketing.xlk.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.marketing.xlk.entity.Video;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 视频表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2021-05-18
 */
@Mapper
public interface VideoMapper extends BaseMapper<Video> {

    IPage<Video> getWxVideoActiveList(IPage<Video> pg,
                                      @Param("orgId") Integer orgId,
                                      @Param("cityId") Integer cityId,
                                      @Param("buildingId") String buildingId,
                                      @Param("name") String name);
}
